Skip to main content
GET
ListAssets

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of assets to return. The service may return fewer than this value. If unspecified, at most 50 assets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken
string

A page token, received from a previous ListAssets call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListAssets must match the call that provided the page token.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are asset_id, created_by_user_id, modified_by_user_id, created_date, modified_date, name, 'name_lower', tag_id, tag_name, 'archived_date', is_archived, and metadata. Metadata can be used in filters by using metadata.{metadata_key_name} as the field name. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved assets. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are name, created_date, modified_date and archived_date. If left empty, items are ordered by created_date in descending order (newest-first). For more information about the format of this field, read this Example: "created_date desc,modified_date"

Response

A successful response.

The result of a call to AssetService_ListAssets.

assets
object[]
nextPageToken
string